ICU 77.1: icu::DisplayOptions::Builder Class Reference

ICU 77.1 77.1

Public Member Functions
icu::DisplayOptions::Builder Class Reference

Responsible for building `DisplayOptions`. More...

`#include <displayoptions.h>`

## Public Member Functions
Builder & | setGrammaticalCase (UDisplayOptionsGrammaticalCase grammaticalCase)
| Sets the grammatical case. More...
Builder & | setNounClass (UDisplayOptionsNounClass nounClass)
| Sets the noun class. More...
Builder & | setPluralCategory (UDisplayOptionsPluralCategory pluralCategory)
| Sets the plural category. More...
Builder & | setCapitalization (UDisplayOptionsCapitalization capitalization)
| Sets the capitalization. More...
Builder & | setNameStyle (UDisplayOptionsNameStyle nameStyle)
| Sets the dialect handling. More...
Builder & | setDisplayLength (UDisplayOptionsDisplayLength displayLength)
| Sets the display length. More...
Builder & | setSubstituteHandling (UDisplayOptionsSubstituteHandling substituteHandling)
| Sets the substitute handling. More...
DisplayOptions | build ()
| Builds the display options. More...

## Detailed Description

Responsible for building `DisplayOptions`.

Stable:
  ICU 72

Definition at line 50 of file displayoptions.h.

## Member Function Documentation

## ◆ build()

DisplayOptions icu::DisplayOptions::Builder::build | ( |  | ) |
| inline

Builds the display options.

Returns
  DisplayOptions

Stable:
  ICU 72

Definition at line 142 of file displayoptions.h.

## ◆ setCapitalization()

Builder& icu::DisplayOptions::Builder::setCapitalization | ( | UDisplayOptionsCapitalization | capitalization | ) |
| inline

Sets the capitalization.

Parameters

  capitalization | The capitalization.

Returns
  Builder

Stable:
  ICU 72

Definition at line 95 of file displayoptions.h.

## ◆ setDisplayLength()

Builder& icu::DisplayOptions::Builder::setDisplayLength | ( | UDisplayOptionsDisplayLength | displayLength | ) |
| inline

Sets the display length.

Parameters

  displayLength | The display length.

Returns
  Builder

Stable:
  ICU 72

Definition at line 119 of file displayoptions.h.

## ◆ setGrammaticalCase()

Builder& icu::DisplayOptions::Builder::setGrammaticalCase | ( | UDisplayOptionsGrammaticalCase | grammaticalCase | ) |
| inline

Sets the grammatical case.

Parameters

  grammaticalCase | The grammatical case.

Returns
  Builder

Stable:
  ICU 72

Definition at line 59 of file displayoptions.h.

## ◆ setNameStyle()

Builder& icu::DisplayOptions::Builder::setNameStyle | ( | UDisplayOptionsNameStyle | nameStyle | ) |
| inline

Sets the dialect handling.

Parameters

  nameStyle | The name style.

Returns
  Builder

Stable:
  ICU 72

Definition at line 107 of file displayoptions.h.

## ◆ setNounClass()

Builder& icu::DisplayOptions::Builder::setNounClass | ( | UDisplayOptionsNounClass | nounClass | ) |
| inline

Sets the noun class.

Parameters

  nounClass | The noun class.

Returns
  Builder

Stable:
  ICU 72

Definition at line 71 of file displayoptions.h.

## ◆ setPluralCategory()

Builder& icu::DisplayOptions::Builder::setPluralCategory | ( | UDisplayOptionsPluralCategory | pluralCategory | ) |
| inline

Sets the plural category.

Parameters

  pluralCategory | The plural category.

Returns
  Builder

Stable:
  ICU 72

Definition at line 83 of file displayoptions.h.

## ◆ setSubstituteHandling()

Builder& icu::DisplayOptions::Builder::setSubstituteHandling | ( | UDisplayOptionsSubstituteHandling | substituteHandling | ) |
| inline

Sets the substitute handling.

Parameters

  substituteHandling | The substitute handling.

Returns
  Builder

Stable:
  ICU 72

Definition at line 131 of file displayoptions.h.

The documentation for this class was generated from the following file:

- i18n/unicode/displayoptions.h